@echo off

rem check for wim script directory ...
if NOT EXIST wim (
  echo ERROR: script directory [ wim ] NOT FOUND!
  echo ABORT.
  exit /b
) else (
  cd wim
)

clear
echo =========================================
echo START of MAIN image preparation ... 
echo =========================================
date /t
time /t
echo.

rem start scripts
for %%S in (

  export-image.cmd
  mount-image.cmd

) do (

  echo ########## calling [ %%S ] ##########
  call %%S
  echo.

)

rem go back ...
cd ..

echo checking for NTLite ...
if NOT EXIST %NTLITE% (
  echo.
  echo ERROR: program [ NTLite ] NOT FOUND!
  exit /b
) else (
  echo calling NTLite ...
  rem stupid windows: the "" are needed or NTlite will not be started - sigh -
  start /B "" %NTLITE%
)

echo.
date /t
time /t
echo ======
echo READY.
echo ======

