# Install Windows Terminal ...

cd ..\software
$MSIXBUNDLE="windowsterminal-setup.msixbundle"
if (! (Test-Path $MSIXBUNDLE)) {
  write-host "ERROR: $MSIXBUNDLE not found!"
  exit 1
}

write-host '#######',(split-path $PSCommandPath -Leaf),'#######'

$ErrorActionPreference = "SilentlyContinue"
Add-AppXPackage -path "$MSIXBUNDLE"
DISM.EXE /Online /Add-ProvisionedAppxPackage /PackagePath:$MSIXBUNDLE /SkipLicense
cd ..\scripts

write-host '#######',(split-path $PSCommandPath -Leaf),'#######'
